[maemo-commits] [maemo-commits] r19476 - in projects/haf/branches/sapwood/rgb-only: . debian engine

From: subversion at stage.maemo.org subversion at stage.maemo.org
Date: Fri Oct 23 13:13:30 EEST 2009
Author: mitch
Date: 2009-10-23 13:13:26 +0300 (Fri, 23 Oct 2009)
New Revision: 19476

Modified:
   projects/haf/branches/sapwood/rgb-only/ChangeLog
   projects/haf/branches/sapwood/rgb-only/Makefile.decl
   projects/haf/branches/sapwood/rgb-only/debian/rules
   projects/haf/branches/sapwood/rgb-only/engine/sapwood-main.c
Log:
2009-10-15  Michael Natterer  <mitch at lanedo.com>

	Fixes: NB#138249 (Sapwood doesn't pass it's test suite)

	Apply patch from Sven Herzberg:

	* Makefile.decl: don't fail if Xvfb wasn't found (this way the real
	tests won't fail on arm Scratchboxes)
	* debian/rules: make sure we only integrate sapwood versions passing
	the test suite
	* engine/sapwood-main.c: don't expose the new variable



Modified: projects/haf/branches/sapwood/rgb-only/ChangeLog
===================================================================
--- projects/haf/branches/sapwood/rgb-only/ChangeLog	2009-10-23 08:19:55 UTC (rev 19475)
+++ projects/haf/branches/sapwood/rgb-only/ChangeLog	2009-10-23 10:13:26 UTC (rev 19476)
@@ -1,3 +1,15 @@
+2009-10-15  Michael Natterer  <mitch at lanedo.com>
+
+	Fixes: NB#138249 (Sapwood doesn't pass it's test suite)
+
+	Apply patch from Sven Herzberg:
+
+	* Makefile.decl: don't fail if Xvfb wasn't found (this way the real
+	tests won't fail on arm Scratchboxes)
+	* debian/rules: make sure we only integrate sapwood versions passing
+	the test suite
+	* engine/sapwood-main.c: don't expose the new variable
+
 2009-08-25  Sven Herzberg  <sven at lanedo.com>
 
 	Fixes: NB#134552 (Progress Banner at start of maps and tutorial applet

Modified: projects/haf/branches/sapwood/rgb-only/Makefile.decl
===================================================================
--- projects/haf/branches/sapwood/rgb-only/Makefile.decl	2009-10-23 08:19:55 UTC (rev 19475)
+++ projects/haf/branches/sapwood/rgb-only/Makefile.decl	2009-10-23 10:13:26 UTC (rev 19476)
@@ -26,7 +26,7 @@
 	&& XID=`for id in $(XIDS) ; do test -e /tmp/.X$$id-lock || { echo $$id; exit 0; }; done; exit 1` \
 	&& { ${XVFB} :$$XID -screen 0 800x600x16 -nolisten tcp -auth /dev/null >/dev/null 2>&1 & \
 	       trap "kill -15 $$! " 0 HUP INT QUIT TRAP USR1 PIPE TERM ; } \
-	|| { echo "Gtk+Tests:ERROR: Failed to start Xvfb environment for X11 target tests."; exit 1; } \
+	|| { echo "Gtk+Tests:ERROR: Failed to start Xvfb environment for X11 target tests."; exit 0; } \
 	&& DISPLAY=:$$XID && export DISPLAY
 # call as: $(XVFB_START) && someprogram
 

Modified: projects/haf/branches/sapwood/rgb-only/debian/rules
===================================================================
--- projects/haf/branches/sapwood/rgb-only/debian/rules	2009-10-23 08:19:55 UTC (rev 19475)
+++ projects/haf/branches/sapwood/rgb-only/debian/rules	2009-10-23 10:13:26 UTC (rev 19476)
@@ -39,6 +39,7 @@
 			--prefix=/usr \
 			--enable-abstract-sockets
 	$(MAKE)
+	$(MAKE) check
 	touch $@
 
 clean:

Modified: projects/haf/branches/sapwood/rgb-only/engine/sapwood-main.c
===================================================================
--- projects/haf/branches/sapwood/rgb-only/engine/sapwood-main.c	2009-10-23 08:19:55 UTC (rev 19475)
+++ projects/haf/branches/sapwood/rgb-only/engine/sapwood-main.c	2009-10-23 10:13:26 UTC (rev 19476)
@@ -28,7 +28,7 @@
 #include "sapwood-rc-style.h"
 #include <gmodule.h>
 
-guint sapwood_debug_flags = 0;
+G_GNUC_INTERNAL guint sapwood_debug_flags = 0;
 gboolean sapwood_debug_scaling = FALSE;
 gboolean sapwood_debug_xtraps = FALSE;
 

More information about the maemo-commits mailing list